- Qt 5.15
- Qt Wayland Compositor
- C++ Classes
- QWaylandWlScaler
- Qt 5.15.18 Reference Documentation

# QWaylandWlScaler Class

Provides an extension for surface resizing and croping. More...

Header: | #include <QWaylandWlScaler>
qmake: | QT += waylandcompositor
Since: | Qt 5.13
Inherits: | QWaylandCompositorExtensionTemplate

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.13.

- List of all members, including inherited members

## Public Functions

| QWaylandWlScaler(QWaylandCompositor *compositor)
| QWaylandWlScaler()

## Reimplemented Public Functions

virtual void | initialize() override

## Static Public Members

const struct wl_interface * | interface()

## Detailed Description

The QWaylandWlScaler extension provides a way for clients to resize and crop surface contents.

QWaylandWlScaler corresponds to the Wayland interface, `wl_scaler`.

`wl_scaler` is a non-standard and deprecated protocol that has largely been replaced by `wp_viewporter`. I.e. This extensions is only useful for supporting legacy clients.

See also QWaylandViewporter.

## Member Function Documentation

### QWaylandWlScaler::QWaylandWlScaler(QWaylandCompositor *compositor)

Constructs a QWaylandWlScaler object for the provided compositor.

### QWaylandWlScaler::QWaylandWlScaler()

Constructs a QWaylandWlScaler object.

### `[override virtual]` void QWaylandWlScaler::initialize()

Initializes the extension.

### `[static]` const struct wl_interface *QWaylandWlScaler::interface()

Returns the Wayland interface for the QWaylandWlScaler.